from config import CONFIG
import requests

# Send Notification to all handlers
def notify(msg, title=None):
    try:
        gotify_notification(msg, title)
    except:
        pass


# Gotify Notification Handler
def gotify_notification(msg, title=None):
    token = CONFIG["notify"]["gotify"]["token"]
    url = CONFIG["notify"]["gotify"]["host"]
    requests.post(
        f"https://{url}/message?token={token}",
        {"title": title, "message": msg, "priority": "5"},
    )
